- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_collection_t

# mongoc_collection_insert_bulk()

## Synopsis

    bool
    mongoc_collection_insert_bulk (mongoc_collection_t *collection,
                                   mongoc_insert_flags_t flags,
                                   const bson_t **documents,
                                   uint32_t n_documents,
                                   const mongoc_write_concern_t *write_concern,
                                   bson_error_t *error)
       BSON_GNUC_DEPRECATED_FOR (mongoc_collection_insert_many);

## Deprecated

This function is deprecated and should not be used in new code.

Please use mongoc_collection_insert_many() instead.

## Parameters

- `collection`: A mongoc_collection_t.
- `flags`: A bitwise or of mongoc_insert_flags_t.
- `documents`: An array of `bson_t`.
- `n_documents`: The number of documents in `documents`.
- `write_concern`: A mongoc_write_concern_t or `NULL`.
- `error`: An optional location for a bson_error_t or `NULL`.

## Description

This function performs a bulk insert of all of the documents in `documents`. This function is deprecated as it cannot accurately return which documents may have failed during the bulk insert.

## Errors

Errors are propagated via the `error` parameter.

A write concern timeout or write concern error is considered a failure.

## Returns

Returns `true` if successful. Returns `false` and sets `error` if there are invalid arguments or a server or network error.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.